UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor magordon
Visitor
4,495 Views
Registered: ‎04-06-2017

Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

I am having trouble working with Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4. I have downloaded the zip file from https://www.xilinx.com/member/forms/download/design-license.html?cid=0d95929c-182d-482c-9429-a4a1ed7b09cd&filename=rdf0421-zcu102-base-trd-2016-4.zip  and importing the projects for the perfapm-server application I receive the following error:

The Hardware Project referenced by this BSP (perfapm_bsp) was not found in this workspace. As a result, this BSP will not build properly. To fix this error, please import the associated hardware project or recreate a new BSP targeting an existing hardware platform.

The SDK log after loading these projects:
17:35:06 INFO    : Registering command handlers for SDK TCF services
17:35:06 INFO    : Launching XSCT server: xsct.bat -interactive C:\Users\magordon\rdf0421-zcu102-base-trd-2016-4\rpu1\perfapm-server\temp_xsdb_launch_script.tcl
17:35:08 INFO    : XSCT server has started successfully.
17:35:09 INFO    : Successfully done setting XSCT server connection channel  
17:35:09 INFO    : Successfully done setting SDK workspace  
17:35:28 ERROR    : The Hardware Project referenced by this BSP (perfapm_bsp) was not found in this workspace. As a result, this BSP will not build properly. To fix this error, please import the associated hardware project or recreate a new BSP targeting an existing hardware platform.

All projects in the folder are visible in the project explorer and I could not find a post in the forums of a similar issue so I do not know why this error would occur.

I have tried to individually clean the projects as well as download the zip file again and try again and returned to the same result.  I am running Xilinx SDK 2016.4 from a windows 7 computer.  If there is any other information you need please let me know.

0 Kudos
10 Replies
Visitor magordon
Visitor
4,372 Views
Registered: ‎04-06-2017

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Still no luck on this but I would like to add a few other weird things happening that may help describe what is going on, but first
reattaching link to design module 4 as the original seems to not be working for me:
http://www.wiki.xilinx.com/Zynq+UltraScale+MPSoC+Base+TRD+2016.4+-+Design+Module+4

If I load the bsp before or after the other projects xsdk crashes while trying to load the bsp.(As opposed to loading at the same time which gives the previously described error)

Trying to regenerate sources for the bsp never completes.

I have been able to build module 1 so this seems specific to this module.

After receiving the error message as detailed in my original post and closing and reopening xsdk, a progress information bar pops up saying it is migrating bsp projects in workspace but this process never finishes.

Can anyone replicate the problem?

0 Kudos
Xilinx Employee
Xilinx Employee
4,337 Views
Registered: ‎12-21-2016

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Hi,

 

I downloaded the rdf0421-zcu102-base-trd-2016-4.zip file from the following location

https://www.xilinx.com/support/documentation-navigation/design-hubs/dh0048-zcu102-evaluation-kit-hub.html

 

Unzipped the file rdf0421-zcu102-base-trd-2016-4.zip

Imported the projects from rdf0421-zcu102-base-trd-2016-4/rpu1/perfapm-server and  I am able to build the project successfully.

 

Looks like you have missed the perfapm_bsp, hence you are getting the error. Please make sure that your import window looks like the following page (which as perfapm_bsp)

 

forumissue.jpg

 

Please let me know whether this solves your problem.

Regards,
Raju
----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.

0 Kudos
Visitor magordon
Visitor
4,332 Views
Registered: ‎04-06-2017

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Thank you for your response and letting me know that you were able to build the directory successfully.  perfapm_bsp as well as perfapm, perfapm-ctl, perfapm-server and zcu102_base_trd_wrapper_hw_platform_0 are all checked in the import window as in your picture and I can see them in the project explorer after loading (I will upload pictures of this later today).

0 Kudos
Visitor magordon
Visitor
4,313 Views
Registered: ‎04-06-2017

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Here are the associated pictures of my import window and the resulting error.

 

Mod4_Import.png




Mod4_Error.png

0 Kudos
Xilinx Employee
Xilinx Employee
4,260 Views
Registered: ‎12-21-2016

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Hi,

 

I am able to build the project successfully. Here is the output for one of the project on 2016.4 SDK

 

forumissue.jpg

 

Could you please try with a new workspace and import the project?

Regards,
Raju
----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.

forumissue.jpg
0 Kudos
Visitor magordon
Visitor
4,243 Views
Registered: ‎04-06-2017

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Moved to a new workspace, imported the project and the same error occurred again.

0 Kudos
Visitor magordon
Visitor
4,034 Views
Registered: ‎04-06-2017

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Still no luck on this, I was wondering what OS you are using to see if there are any other differences in our attempts that could have caused my error.

0 Kudos
Xilinx Employee
Xilinx Employee
4,005 Views
Registered: ‎12-21-2016

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

I am using RHEL 6.6. If you are creating the new workspace and importing the project, don't import the already unzipped project. Delete the already unzipped version. Unzip the TRD and then import it.

Regards,
Raju
----------------------------------------------------------------------------------------------
Kindly note- Please mark the Answer as "Accept as solution" if information provided is helpful.

Give Kudos to a post which you think is helpful and reply oriented.

0 Kudos
Visitor magordon
Visitor
3,989 Views
Registered: ‎04-06-2017

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Thanks again for responding, after deleting the old extracted version and then re-extracting and importing the project to a new workspace the problem persists.  I will soon attempt the project on a linux machine and see if that changes anything.

0 Kudos
Visitor magordon
Visitor
2,519 Views
Registered: ‎04-06-2017

Re: Problems running Zynq UltraScale MPSoC Base TRD 2016.4 - Design Module 4

Running again on Ubuntu I get the same error, so at least what I am doing is consistent.  But still no idea why this error is happening or what I could be doing wrong.

0 Kudos